1. 無料アクセス解析

crossroad's Blog

Javaを中心にした技術ネタなど。

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。
  1. --/--/--(--) --:--:--|
  2. スポンサー広告

Eclipse GANYMEDE で Jadclipse が動かない

Eclipse GANYMEDE(3.4)がリリースされ、ちょいと試していますが、
動かないプラグインが結構ありますね。

特に直近困っているのが、「Jadclipse」。

*.classを開こうとすると、エラーになってしまいます。

ソースコードが提供されていない外部ライブラリや、Javaで実装されたミドルウェアの
調査をする時は、*.classをデコンパイルするしかなく、重宝していたのですが、
最新バージョンの3.3は GANYMEDEでは動かないようです。

早くGANYMEDEに対応してくれないかなぁ。





。。。と思ったら、エラーにならずにちゃんと逆コンパイルできることもある。

いまいち法則性がわかりませんが、もしかしたら逆コンパイルしようとしてクラスの実装に関係があるのかも。。。
(特定の構文を使っているとエラーになるとか)

まぁ何にしても不便だ。




こちらの方の情報によると、Jadclipseの問題ではなく、日本語化パック(Babel)に起因するらしい。

一応、2008/6月末にリリースされていたBabelをインストールしているんだけど。。。

とりあえず、Babelをアンインストールしたら問題は起きなくなった。


関連記事
スポンサーサイト

テーマ:プログラミング - ジャンル:コンピュータ

  1. 2008/07/16(水) 00:31:58|
  2. ソフトウェア開発 Java
  3. | トラックバック:0
  4. | コメント:0
<<Maven2 + WTP でJUnitテスト | ホーム | フリーランス2周年。そして。。。涙>>

コメント

コメントの投稿


管理者にだけ表示を許可する

トラックバック

トラックバックURLはこちら
http://bagineer.blog59.fc2.com/tb.php/146-6771d260
この記事にトラックバックする(FC2ブログユーザー)

プロフィール

crossroad

Author:crossroad
関西在住。男。
フリーランスのソフトウェアエンジニア。
エレキベース(Rock&Roll)とお酒が好物でございます。

カテゴリー

タグリスト

Java F1 フリーランス ベーシスト HARRY TheStreetSliders iPhone FX お酒 Seasar Maven eclipse Wicket マイホーム 野球 プロジェクトファシリテーション Rails Ruby UML お店 ソフトウェア Tomcat S2Flex2 jsf Teeda Eclipse タグライブラリ ajax タスク europa mylyn trac 

ブログ内検索

最近の記事

最近のコメント

最近のトラックバック

カレンダー

05 | 2017/06 | 07
- - - - 1 2 3
4 5 6 7 8 9 10
11 12 13 14 15 16 17
18 19 20 21 22 23 24
25 26 27 28 29 30 -

月別アーカイブ

全ての記事を表示する

全ての記事を表示する

Twitter


RSSフィード

リンク

このブログをリンクに追加する

アクセスカウンタ

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。